#include <iostream>
#include <tchar.h>
#include <cmath>
#include <cstring>
#include <cstdlib>
#include <vector>
#include <list>
#include <map>
#include <algorithm>
#include "time.h"
#include "mkl.h"
#include "CartogramClass.h"
#include "ContinuousAreaCartogramClass.h"
#include "ContinuousAreaCartogram.h"

using namespace std;

/* PARDISO prototype. */
#if defined(_WIN32) || defined(_WIN64)
#define pardiso_ PARDISO
#else
#define PARDISO pardiso_
#endif
#if defined(MKL_ILP64)
#define MKL_INT long long
#else
#define MKL_INT int
#endif
extern MKL_INT PARDISO
	(void *, MKL_INT *, MKL_INT *, MKL_INT *, MKL_INT *, MKL_INT *,
	double *, MKL_INT *, MKL_INT *, MKL_INT *, MKL_INT *, MKL_INT *,
	MKL_INT *, double *, double *, MKL_INT *);

#define EPS 0.0000001
